Skip to main content

Find ABHA via Face - verify

Completes face authentication for the chosen account. Once *Face auth - capture PID / track status* reports COMPLETE, send the same txnId here (the body has no PID).

POST/abha/api/v3/profile/login/verify

Endpoint: POST /abha/api/v3/profile/login/verify

Flow: Find ABHA - Face - step 4 of 4

  • Previous: Face auth - capture PID / track status
  • Next: none (last call of this flow)

Headers (plus Authorization: Bearer <gateway token>):

Header Required Description
REQUEST-ID yes Unique UUID for every request.
TIMESTAMP yes Current UTC timestamp in ISO-8601 format.

Request body for this use case:

Field Value / Type Required Description
scope ["ABHA-login", "Aadhaar-face-verify"] yes Scope that selects this use case. Send exactly the values listed for this API.
authData object yes Authentication payload for this use case.
authData.authMethods ["face_auth"] yes Authentication method used in this step.
authData.face object yes Face authentication block.
authData.face.txnId string yes Transaction ID returned by the previous step of this flow.

Responses

200

Success: Positive flow

authResultstring
messagestring
tokenstring
expiresIninteger
refreshTokenstring
refreshExpiresIninteger
accountsobject[]
accounts.ABHANumberstring
accounts.preferredAbhaAddressstring
accounts.namestring
accounts.statusstring
accounts.profilePhotostring
400

Bad Request (request validation failed): Invalid DTO; Invalid DTO (2); Invalid PID; Empty Body; Invalid TxnId; Invalid AuthMethod; Invalid AuthMethod (2)

Error codes for this module

401

Unauthorized (invalid / expired gateway token, X-token or benefit access): Invalid Authorization

Everything returns 401

codestring
descriptionstring
messagestring
404

Not Found: Invalid URL

Error codes for this module

errorobject
error.codestring
error.messagestring
422

Unprocessable Entity (business rule or UIDAI failure): Used PID; Expired PID; Used Bio PID; Another User PID; Biometric not matched

Error codes for this module

errorobjectRequired
error.codestringRequired

Consent code. Use abha-enrollment.

error.messagestringRequired
500

Internal Server Error.

Error codes for this module